This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 113845 - CAN-2004-0006/7/8 Multiple vulnerabilities in Gaim
CAN-2004-0006/7/8 Multiple vulnerabilities in Gaim
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: gaim (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 09:04 EST by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 12:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-01-19 09:04:51 EST
A number of vulnerabilities in GAIM found by Stefan Esser.
Notified to vendor-sec on Jan16th and have been committed to CVS. 
Agreed to hold off on disclosure of the details until Stefan has sent
his advisory.

Due to the nature of instant messaging many of these bugs
require man-in-the-middle attacks between client and server.
However at least one of the buffer overflows could be exploited
by an attacker sending a carefully constructed malicious
message through a server.

CAN-2004-0006

Buffer overflows in Gaim 0.75 and earlier including parsing
cookies in a Yahoo web connection, YMSG protocol overflows
parsing Yahoo Login Webpage, YMSG packet overflow, URL parser,
and HTTP Proxy connect.

CAN-2004-0007

Buffer overflow in Gaim 0.74 and earlier in the Extract Info
Field Function used for MSN and YMSG protocol handlers.

CAN-2004-0008

Integer Overflow in Gaim 0.74 and earlier, when allocating
memory for a directIM packet results in heap overflow.

Affects: 9
Comment 1 Mark J. Cox (Product Security) 2004-01-26 04:53:51 EST
Removing embargo. Issue public 10am CET on Jan26 to full-disclosure
list by Stefan
Comment 2 David Lawrence 2004-01-26 12:34:43 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-032.html

Note You need to log in before you can comment on or make changes to this bug.